From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-fs/cryfs/
Date: Tue, 27 Jun 2023 07:06:35 +0000 (UTC) [thread overview]
Message-ID: <1687849583.1f8274eda8c1723e48a5dcad429724ea01ec4862.sam@gentoo> (raw)
commit: 1f8274eda8c1723e48a5dcad429724ea01ec4862
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Jun 27 07:06:12 2023 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Jun 27 07:06:23 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1f8274ed
sys-fs/cryfs: fix python-any-r1 usage
Closes: https://bugs.gentoo.org/908997
Closes: https://bugs.gentoo.org/880563
Signed-off-by: Sam James <sam <AT> gentoo.org>
sys-fs/cryfs/cryfs-0.10.3-r1.ebuild | 22 ++++++++++++++++++----
1 file changed, 18 insertions(+), 4 deletions(-)
diff --git a/sys-fs/cryfs/cryfs-0.10.3-r1.ebuild b/sys-fs/cryfs/cryfs-0.10.3-r1.ebuild
index 321634245e9e..6ec74214a5c7 100644
--- a/sys-fs/cryfs/cryfs-0.10.3-r1.ebuild
+++ b/sys-fs/cryfs/cryfs-0.10.3-r1.ebuild
@@ -3,7 +3,7 @@
EAPI=7
-PYTHON_COMPAT=( python3_{9..11} )
+PYTHON_COMPAT=( python3_{10..11} )
inherit cmake flag-o-matic linux-info python-any-r1
if [[ ${PV} == 9999 ]] ; then
@@ -28,12 +28,18 @@ RDEPEND="
>=dev-libs/crypto++-8.2.0:=
net-misc/curl:=
>=sys-fs/fuse-2.8.6:0
- dev-libs/openssl:0=
+ dev-libs/openssl:=
"
-DEPEND="${RDEPEND}
+DEPEND="
+ ${RDEPEND}
test? ( dev-cpp/gtest )
"
-BDEPEND="${PYTHON_DEPS}"
+BDEPEND="
+ ${PYTHON_DEPS}
+ $(python_gen_any_dep '
+ dev-python/versioneer[${PYTHON_USEDEP}]
+ ')
+"
PATCHES=(
# TODO upstream:
@@ -45,11 +51,16 @@ PATCHES=(
"${FILESDIR}/${PN}-0.10.3-fix-build-with-boost-1-77.patch"
)
+python_check_deps() {
+ python_has_version "dev-python/versioneer[${PYTHON_USEDEP}]"
+}
+
pkg_setup() {
local CONFIG_CHECK="~FUSE_FS"
local WARNING_FUSE_FS="CONFIG_FUSE_FS is required for cryfs support."
check_extra_config
+ python-any-r1_pkg_setup
}
src_prepare() {
@@ -58,6 +69,9 @@ src_prepare() {
# don't install compressed manpage
cmake_comment_add_subdirectory doc
+ # We use the package instead for >=py3.12 compat, bug #908997
+ rm src/gitversion/versioneer.py || die
+
# remove tests that require internet access to comply with Gentoo policy
sed -e "/CurlHttpClientTest.cpp/d" -e "/FakeHttpClientTest.cpp/d" \
-i test/cpp-utils/CMakeLists.txt || die
next reply other threads:[~2023-06-27 7:06 UTC|newest]
Thread overview: 64+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-06-27 7:06 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-02-15 9:29 [gentoo-commits] repo/gentoo:master commit in: sys-fs/cryfs/ Ulrich Müller
2025-01-24 8:14 Sam James
2024-09-01 2:39 Yixun Lan
2024-08-30 13:15 Arthur Zamarin
2024-06-03 11:15 Sam James
2024-03-03 17:33 Andreas K. Hüttel
2024-02-28 22:57 Sam James
2023-04-26 4:03 Sam James
2023-01-23 2:40 Sam James
2022-09-04 13:03 David Seifert
2022-06-28 4:18 WANG Xuerui
2022-04-18 18:56 Alexey Shvetsov
2021-10-14 6:38 Andreas Sturmlechner
2021-10-13 20:33 Sam James
2021-08-29 10:02 Agostino Sarubbo
2021-08-18 0:35 Yixun Lan
2021-08-13 18:33 Sam James
2021-08-13 18:33 Sam James
2021-05-10 9:45 Sam James
2021-05-02 17:47 Mikle Kolyada
2021-01-18 8:55 Joonas Niilola
2020-11-05 12:32 Joonas Niilola
2020-11-05 12:32 Joonas Niilola
2020-10-16 11:12 Georgy Yakovlev
2020-06-04 20:57 Andreas Sturmlechner
2020-05-16 7:09 Joonas Niilola
2020-05-16 7:09 Joonas Niilola
2020-04-17 15:56 Andreas Sturmlechner
2020-02-10 13:26 Michał Górny
2020-01-18 23:09 Andreas Sturmlechner
2020-01-18 23:09 Andreas Sturmlechner
2020-01-18 23:09 Andreas Sturmlechner
2019-11-13 2:51 Aaron Bauman
2019-11-02 8:42 Agostino Sarubbo
2019-11-01 23:51 Thomas Deutschmann
2019-11-01 8:53 Andreas Sturmlechner
2019-10-26 21:14 Andreas Sturmlechner
2019-10-26 21:06 Andreas Sturmlechner
2019-10-26 20:15 Andreas Sturmlechner
2019-06-16 21:57 Andreas Sturmlechner
2019-06-16 21:57 Andreas Sturmlechner
2019-06-16 21:57 Andreas Sturmlechner
2019-06-16 21:57 Andreas Sturmlechner
2019-06-16 21:57 Andreas Sturmlechner
2019-06-16 21:57 Andreas Sturmlechner
2019-05-28 2:35 Aaron Bauman
2019-02-19 18:04 Andreas Sturmlechner
2018-09-24 1:50 Thomas Deutschmann
2018-09-16 17:51 Mikle Kolyada
2018-08-11 17:03 Mike Gilbert
2018-04-11 22:47 Patrice Clement
2018-03-15 20:17 Markus Meier
2018-01-21 5:03 Michael Palimaka
2018-01-18 16:07 Mikle Kolyada
2018-01-17 11:01 Andreas Sturmlechner
2017-10-11 19:15 Johannes Huber
2017-10-11 19:15 Johannes Huber
2017-10-11 19:15 Johannes Huber
2017-05-27 13:48 Michał Górny
2017-05-27 13:48 Michał Górny
2017-05-24 17:12 Michał Górny
2017-05-24 17:12 Michał Górny
2017-05-24 17:04 Michał Górny
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1687849583.1f8274eda8c1723e48a5dcad429724ea01ec4862.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox